---

- name: Create needed directories
  file: path={{ item.dir }} state=directory owner={{ item.owner | default(omit) }} group={{ item.group | default(omit) }} mode={{ item.mode | default(omit) }}
  loop:
    - dir: "{{ taiga_root_dir }}"
    - dir: "{{ taiga_root_dir }}/backup"
      owner: root
      group: root
      mode: 700
    - dir: "{{ taiga_root_dir }}/meta"
      owner: root
      group: root
      mode: 700
    - dir: "{{ taiga_root_dir }}/archives"
      owner: root
      group: root
      mode: 700
    - dir: "{{ taiga_root_dir }}/tmp"
      owner: "{{ taiga_user }}"
      mode: 700
    - dir: "{{ taiga_root_dir }}/app"
    - dir: "{{ taiga_root_dir }}/app/back"
    - dir: "{{ taiga_root_dir }}/app/front"
    - dir: "{{ taiga_root_dir }}/app/events"
    - dir: "{{ taiga_root_dir }}/app/protected"
    - dir: "{{ taiga_root_dir }}/data/media"
      owner: "{{ taiga_user }}"
      group: "{{ taiga_user }}"
  tags: taiga
